FROM docker.io/library/nginx:alpine

RUN apk add hugo git

RUN mkdir -p /opt/compute4change-news

COPY . /opt/compute4change-news

WORKDIR /opt/compute4change-news

RUN git clone https://github.com/adityatelange/hugo-PaperMod themes/PaperMod --depth=1

RUN hugo

RUN cp -r public/* /usr/share/nginx/html